%define bname		gtk-theme-switch
%define name		%{bname}2
%define version 	2.0.0rc2
%define release 	%mkrel 2
%define _summary	Switch GTK2 themes on the fly

Summary: 	%{_summary}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source: 	http://www.muhri.net/%{bname}-%{version}.tar.gz
Source1:	gtkts2.png
Patch:		gtkts2.patch
URL: 		http://www.muhri.net/nav.php3?node=gts
License: 	GPL
Group: 		Graphical desktop/GNOME
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gtk+2-devel

%description
Tiny GTK app to let you switch GTK2 themes on the fly. 
Very handy if you are running Gnome2.

NOTE: The binary is just called "switch2".

%prep
%setup -q -n %{bname}-%{version}
%patch -p1

%build
%make

%install
%__install -D switch2 %{buildroot}%{_bindir}/switch2
%__install -D switch.1 %{buildroot}%{_mandir}/man1/switch2.1
%__install -D %SOURCE1 %{buildroot}%{_iconsdir}/gtkts2.png

# Menu entry
%__install -d %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=GTK Theme Switch 2
Comment=%_summary
Exec=%{_bindir}/switch2
Icon=gtkts2
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Configuration-Other;Settings;
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%{_bindir}/switch2
%{_mandir}/man1/switch2.1*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/gtkts2.png

%changelog
* Thu Dec 17 2009 Texstar <texstar at gmail.com> 2.0.0rc2-1pclos2010
- rebuild


